import { createActionGroup, emptyProps, props } from '@ngrx/store';
import { UserStore } from '../../interfaces/user.interface';

export const UserActions = createActionGroup({
  source: 'User',
  events: {
    SET_USER: props<{ user: UserStore }>(),
    CLEAR_USER: emptyProps(),
  },
});
